Pacotes quebrados

1. Pacotes quebrados

gerson dantas
gordimgerson

(usa Kali)

Enviado em 19/01/2020 - 00:30h

Bom pessoa, o erro que vou colocar aqui, ocorreu após uma atualização na sucedida. Por causa da Net, creio eu. Após isso, fui instalar outro programa. Onde apareceu o seguinte erro:

Construindo árvore de dependências... Pronto
Você pode querer executar 'apt --fix-broken install' para corrigí-los.
Os pacotes a seguir têm dependências desencontradas:
hostapd : Depende: libssl1.0.0 (>= 1.0.0) mas não é instalável
Depende: initscripts (>= 2.88dsf-13.3) mas não é instalável
E: Dependências desencontradas. Tente 'apt --fix-broken install' sem nenhum pacote (ou especifique uma solução).

E: Erro, pkgProblemResolver::Resolve gerou falhas, isto pode ser causado por pacotes mantidos (hold).
E: Impossível corrigir dependências



  


2. Re: Pacotes quebrados

Andre (pinduvoz)
pinduvoz

(usa Debian)

Enviado em 19/01/2020 - 04:52h


gordimgerson escreveu:

Bom pessoa, o erro que vou colocar aqui, ocorreu após uma atualização na sucedida. Por causa da Net, creio eu. Após isso, fui instalar outro programa. Onde apareceu o seguinte erro:

Construindo árvore de dependências... Pronto
Você pode querer executar 'apt --fix-broken install' para corrigí-los.
Os pacotes a seguir têm dependências desencontradas:
hostapd : Depende: libssl1.0.0 (>= 1.0.0) mas não é instalável
Depende: initscripts (>= 2.88dsf-13.3) mas não é instalável
E: Dependências desencontradas. Tente 'apt --fix-broken install' sem nenhum pacote (ou especifique uma solução).

E: Erro, pkgProblemResolver::Resolve gerou falhas, isto pode ser causado por pacotes mantidos (hold).
E: Impossível corrigir dependências


Bom dia.

Sua primeira opção é usar a "dica" do próprio APT, rodando:

sudo apt --fix-broken

Há outros comandos que consertam esse tipo de erro, que você pode tentar caso o primeiro não funcione. São eles:

sudo apt-get install -f
sudo apt-get upgrade -f
sudo apt-get dist-upgrade -f
sudo dpkg --configure -a

Tente usá-los na ordem acima, sendo que cada linha é um comando distinto.

Boa sorte.



3. Re: Pacotes quebrados

Andre (pinduvoz)
pinduvoz

(usa Debian)

Enviado em 19/01/2020 - 04:53h

Leitura recomendada:

https://www.vivaolinux.com.br/artigo/Instalacao-de-Programas-no-Ubuntu-(atualizacao)/?pagina=1

https://www.vivaolinux.com.br/artigo/O-Synaptic/

Esses textos servem para o Kali, que assim como o Ubuntu, é baseado no Debian e usa APT/DPKG para gerenciar pacotes.






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts